> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authorized Connected Apps for an Organization

> Get a list of Connected Apps for the Organization.

Retrieves a list of Connected Apps for the Organization that have been installed by Members. Installation comprises successful completion of an authorization flow with a Connected App that has not been revoked.

Connected Apps may be uninstalled if an Organization changes its `first_party_connected_apps_allowed_type` or `third_party_connected_apps_allowed_type` policies.


## OpenAPI

````yaml GET /v1/b2b/organizations/{organization_id}/connected_apps
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.0.0
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/b2b/organizations/{organization_id}/connected_apps:
    get:
      tags:
        - Organization
      summary: Connectedapps
      description: >-
        Retrieves a list of Connected Apps for the Organization that have been
        installed by Members. Installation comprises

        successful completion of an authorization flow with a Connected App that
        has not been revoked.


        Connected Apps may be uninstalled if an Organization changes its
        `first_party_connected_apps_allowed_type`

        or `third_party_connected_apps_allowed_type` policies.
      operationId: api_organization_v1_ConnectedApps
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Globally unique UUID that identifies a specific Organization. The
              `organization_id` is critical to perform operations on an
              Organization, so be sure to preserve this value. You may also use
              the organization_slug or organization_external_id here as a
              convenience.
          description: >-
            Globally unique UUID that identifies a specific Organization. The
            `organization_id` is critical to perform operations on an
            Organization, so be sure to preserve this value. You may also use
            the organization_slug or organization_external_id here as a
            convenience.
        - name: X-Stytch-Member-Session
          in: header
          required: false
          description: >-
            A Stytch session that can be used to run the request with the given
            member's permissions.
          schema:
            type: string
        - name: X-Stytch-Member-SessionJWT
          in: header
          required: false
          description: >-
            A Stytch Session JSON Web Token (JWT) that can be used to run the
            request with the given member's permissions.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_organization_v1_ConnectedAppsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // GET /v1/b2b/organizations/{organization_id}/connected_apps
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              organization_id: "${organizationId}",
            };

            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };

            client.Organizations.ConnectedApps(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// GET /v1/b2b/organizations/{organization_id}/connected_apps\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v17/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v17/stytch/b2b/organizations\"\n\t\"github.com/stytchauth/stytch-go/v17/stytch/methodoptions\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &organizations.ConnectedAppsParams{\n\t\tOrganizationID: \"${organizationId}\",\n\t}\n\n\toptions := &organizations.ConnectedAppsParamsOptions{\n\t\tAuthorization: methodoptions.Authorization{\n\t\t\tSessionToken: \"${sessionToken}\",\n\t\t},\n\t}\n\n\tresp, err := client.Organizations.ConnectedApps(context.Background(), params, options)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // GET /v1/b2b/organizations/{organization_id}/connected_apps

            package com.example;


            import
            com.stytch.java.b2b.models.organizations.ConnectedAppsRequest;

            import
            com.stytch.java.b2b.models.organizations.ConnectedAppsRequestOptions;

            import com.stytch.java.b2b.StytchB2BClient;

            import com.stytch.java.common.methodoptions.Authorization;

            import com.stytch.java.common.StytchResult;


            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    ConnectedAppsRequest params = new ConnectedAppsRequest();
                    params.setOrganizationId("${organizationId}");

                    ConnectedAppsRequestOptions options = new ConnectedAppsRequestOptions();
                    Authorization authorization = new Authorization();
                    authorization.setSessionToken("${sessionToken}");
                    options.setAuthorization(authorization);

                    Object result = StytchB2BClient.getOrganizations().connectedApps(params, options);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // GET /v1/b2b/organizations/{organization_id}/connected_apps

            package com.example


            import com.stytch.java.b2b.StytchB2BClient

            import com.stytch.java.b2b.models.organizations.ConnectedAppsRequest

            import
            com.stytch.java.b2b.models.organizations.ConnectedAppsRequestOptions

            import com.stytch.java.common.methodoptions.Authorization


            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.organizations.connectedApps(
                            ConnectedAppsRequest(
                                organizationId = "${organizationId}",
                            ),
                            ConnectedAppsRequestOptions(
                                Authorization(
                                    sessionToken = "${sessionToken}",
                                ),
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // GET /v1/b2b/organizations/{organization_id}/connected_apps
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              organization_id: "${organizationId}",
            };

            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };

            client.organizations.connectedApps(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->organizations->connected_apps([
                'organization_id' => '${organizationId}',
            ], [
                    'authorization' => ['session_token' => '${sessionToken}'],

            ]);
        - lang: python
          label: Python
          source: >
            # GET /v1/b2b/organizations/{organization_id}/connected_apps

            from stytch import B2BClient

            from stytch.b2b.models.organizations import
            ConnectedAppsRequestOptions

            from stytch.shared.method_options import Authorization


            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )


            resp = client.organizations.connected_apps(
                organization_id="${organizationId}",
                method_options=ConnectedAppsRequestOptions(
                    authorization=Authorization(
                        session_token="${sessionToken}",
                    ),
                ),
            )


            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # GET /v1/b2b/organizations/{organization_id}/connected_apps
            require 'stytch'

            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.organizations.connected_apps(
              organization_id: "${organizationId}",
              method_options: StytchB2B::Organizations::ConnectedAppsRequestOptions.new(
                authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
              )
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // GET /v1/b2b/organizations/{organization_id}/connected_apps
            use stytch::b2b::client::Client;
            use stytch::b2b::organizations::ConnectedAppsRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.organizations.connected_apps(
                    ConnectedAppsRequest{
                        organization_id: "${organizationId}",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # GET /v1/b2b/organizations/{organization_id}/connected_apps
            curl --request GET \
              --url https://test.stytch.com/v1/b2b/organizations/${organizationId}/connected_apps \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -H "X-Stytch-Member-Session: ${sessionToken}"
components:
  schemas:
    api_organization_v1_ConnectedAppsResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        connected_apps:
          type: array
          items:
            $ref: '#/components/schemas/api_organization_v1_OrganizationConnectedApp'
        status_code:
          type: integer
          format: int32
      required:
        - request_id
        - connected_apps
        - status_code
    api_organization_v1_OrganizationConnectedApp:
      type: object
      properties:
        connected_app_id:
          type: string
        name:
          type: string
        description:
          type: string
        client_type:
          type: string
        logo_url:
          type: string
      required:
        - connected_app_id
        - name
        - description
        - client_type
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````